channels:
  - conda-forge
  - bioconda
dependencies:
  # specify minimum compilers
  # not sure why 7.3 is getting installed
  - gcc_impl_linux-64 >=7.5
  - gxx_impl_linux-64 >=7.5

  - r-base=4.1.3
  - r-irkernel
  - r-biocmanager

  # copy biocmanager install from README
  - bioconductor-SingleCellExperiment
  - bioconductor-tscan
  - r-boot
  - r-httr
  - r-mclust

  - r-statmod
  - r-igraph
  - r-rweka
  # - r-philentropy not on conda-forge or bioconda
  # - r-netindices
  - r-png

  # r-grdevices not on conda
  - r-readr
  - r-rcolorbrewer
  - r-ggplot2
  - r-rpart
  - r-fpc

  - r-cluster
  - r-rpart.plot
  - r-tsne
  - bioconductor-annotationdbi
  - bioconductor-org.hs.eg.db

  # graphics, stats, utils are part of core
  # - bioconductor-impute >=1.62 # impute build isn't compatible with 4.0.3 yet
  - r-enrichr

  # additional unlisted dependencies
  - r-partykit

  # latest additions
  - bioconductor-summarizedexperiment
  - bioconductor-multiassayexperiment

  - bioconductor-m3drop
  - r-leiden
  - r-reticulate

  # latest Python additions
  - leidenalg
  - numpy
  - pandas
  - python-igraph

  # additional dependencies for packages not found on conda
  - r-dplyr
  - bioconductor-biocversion
